#! /bin/bash

# make sure that ticker is on drlucky
HOST_NAME=`hostname`
if [ "$HOST_NAME" != "drlucky" ]; then
    echo "PowerQuotes requires that the stock ticker be running on drlucky."
    echo "Please ssh to drlucky and try again."
    exit 1
fi


if [ "x$JAVA_HOME" == "x" ] || [ -d $JAVA_HOME ]; then 
    
    echo "looking for JAVA_HOME at /usr/local/j2sdk1.4.0"
    JAVA_HOME=/usr/local/j2sdk1.4.0
    
    if [ ! -d $JAVA_HOME ]; then
	echo "looking for JAVA_HOME at /usr/lib/java"
	JAVA_HOME=/usr/lib/java

	if [ ! -d $JAVA_HOME ]; then
	    echo "Please set JAVA_HOME. Exitting..."
	    exit
	fi
    fi
fi


echo "JAVA_HOME is set to $JAVA_HOME"


JARLIST=`ls -1 *.jar`
echo $JARLIST

PWD=`pwd`
for JAR in $JARLIST
do
  echo $JAR
  CLASSPATH=$PWD/$JAR:$CLASSPATH
done

echo CLASSPATH=$CLASSPATH

#figure out the number of servers
NUM_SERVERS=`cat serverlist.props | grep "=" | grep -v "#" | wc -l | awk '{print $1}'`
#NUM_SERVERS=`expr $NUM_SERVERS + 0`
#NUM_SERVERS=`sed 's/^[]*//; s/[]*$//' "$NUM_SERVERS"`
#echo +$NUM_SERVERS+

BASE_BEAN_NAME=ejb/powerquotes/TickReceiver

for (( i=$NUM_SERVERS ; $i>0 ; i=$i-1 )) 
do
    BEANLIST="${BASE_BEAN_NAME}_$i $BEANLIST"
    echo BEANLIST = $BEANLIST
done


#IF EXIST %JAVA_HOME%\jre\lib\tools.jar   set LCP=%LCP%;%JAVA_HOME%\jre\lib\tools.jar

echo  $JAVA_HOME/bin/java -classpath $CLASSPATH powerquotes.datafeed.StockTicker 1000 1 stockinfo.props $BEANLIST 

$JAVA_HOME/bin/java -classpath $CLASSPATH powerquotes.datafeed.StockTicker 1000 1 stockinfo.props $BEANLIST



